Update Folder Policy

View as MarkdownOpen in Claude
Update the sharing policies for a shared folder. User must have `AccessLevel.owner` access to the shared folder to update its policies. **Required scope:** `sharing.write` **Endpoint format:** [RPC](https://docs.dropboxapi.com/dropbox-api/docs/technical-reference/request-response-formats#rpc-endpoints) **Authentication:** [User](https://docs.dropboxapi.com/dropbox-api/docs/auth-types#user-authentication), [Dropbox-API-Select-Admin (Team Admin)](https://docs.dropboxapi.com/dropbox-api/docs/auth-types#admin-authentication-via-dropbox-api-select-admin) This endpoint does not support apps with the app folder permission.

Authentication

AuthorizationBearer
OAuth 2.0 token issued to a specific user. Use `Authorization: Bearer <token>`. Public clients should use the authorization code flow with PKCE (S256). For background or offline access, send `token_access_type=offline` during authorization and use the returned refresh token to obtain new access tokens. You can generate a short-lived access token from the App Console; see [Testing with a generated token](https://docs.dropboxapi.com/dropbox-api/docs/oauth#testing-with-a-generated-token).

Headers

Dropbox-API-Select-UserstringOptional

Acts on behalf of a team member for supported user-auth operations. Pass a team member ID such as dbmid:.... When used with a team token, that token must also include the team_data.member scope.

Dropbox-API-Select-AdminstringOptional

Acts as the specified team admin for supported user-auth operations. Pass a team member ID for an admin account. When used with a team token, that token must also include the team_data.member scope.

Dropbox-API-Path-RootstringOptional
Scopes path-based operations to a namespace (root). The value is a JSON serialization of the `common.PathRoot` union: `{".tag": "home"}`, `{".tag": "root", "root": "<namespace_id>"}`, or `{".tag": "namespace_id", "namespace_id": "<namespace_id>"}`. On failure the request returns 422 with a `common.PathRootError`.

Request

This endpoint expects an object.
shared_folder_idanyRequired
The ID for the shared folder.
acl_update_policyobject or nullOptional
Who can add and remove members of this shared folder.
actionslist of objects or nullOptional

A list of FolderActions corresponding to FolderPermissions that should appear in the response’s SharedFolderMetadata.permissions field describing the actions the authenticated user can perform on the folder.

member_policyobject or nullOptional
Who can be a member of this shared folder. Only applicable if the current user is on a team.
viewer_info_policyobject or nullOptional

Who can enable/disable viewer info for this shared folder.

Response headers

X-Dropbox-Request-IdstringOptional
A unique identifier for the request, useful for debugging and support.

Response

Successful response
access_typeobject
The current user's access level for this shared folder.
is_inside_team_folderboolean
Whether this folder is inside of a team folder.
is_team_folderboolean

Whether this folder is a team folder.

namestring
The name of the this shared folder.
policyobject
Policies governing this shared folder.
preview_urlstring
URL for displaying a web preview of the shared folder.
shared_folder_idany
The ID of the shared folder.
time_inviteddatetime
Timestamp indicating when the current user was invited to this shared folder.
access_inheritanceobject or nullOptional
Whether the folder inherits its members from its parent.
folder_idstring or nullOptionalformat: "id:.+">=4 characters
The ID of the content.
owner_display_nameslist of strings or nullOptional
The display names of the users that own the folder. If the folder is part of a team folder, the display names of the team admins are also included. Absent if the owner display names cannot be fetched.
owner_teamobject or nullOptional
The team that owns the folder. This field is not present if the folder is not owned by a team.
parent_folder_namestring or nullOptional
Display name for the parent folder.
parent_shared_folder_idany or nullOptional
The ID of the parent shared folder. This field is present only if the folder is contained within another shared folder.
path_displaystring or nullOptional
The full path of this shared folder. Absent for unmounted folders.
path_lowerstring or nullOptional

The lower-cased full path of this shared folder. Absent for unmounted folders.

permissionslist of objects or nullOptional
Actions the current user may perform on the folder and its contents. The set of permissions corresponds to the FolderActions in the request.

Errors

401
Unauthorized Error
403
Forbidden Error
409
Conflict Error
429
Too Many Requests Error
500
Internal Server Error